# BCSectionGetArray

Returns the array underlying the BCSection.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode BCSectionGetArray(Mesh mesh, const char name[], PetscInt *numElements, PetscInt *fiberDim, PetscInt *array[])

Not Collective

### Input Parameters

| mesh | - The Mesh object
| name | - The section name

### Output Parameters

| numElements | - The number of mesh element with values
| fiberDim | - The number of values per element
| array | - The array

### Keywords

mesh, elements

### See Also

MeshCreate()

Level:intermediate
Location:src/dm/mesh/meshpcice.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages